package be.jeffcheasey88.peeratcode.framework;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface Route{

	String path() default "^.*$";

	RequestType type() default RequestType.GET;

	boolean needLogin() default false;

	boolean websocket() default false;
}
